/* $Id: WebDavDownLoadEvent.java 304 2011-08-19 01:22:11Z ohura $ */
package webdav;

import java.util.Stack;

public class WebDavDownLoadEvent {
	protected WebDavChooser webDavChooser;
	protected String downloadfile;
	protected String downloadpath;
	protected String downloaname;
	protected String lockToken;
	protected Stack<String> stack;
	protected boolean readonly;
	protected boolean unlock = true;
	
	public WebDavDownLoadEvent(WebDavChooser webDavChooser){
		this.webDavChooser = webDavChooser;
	}
	
	public void setDownload(String downloadfile,String lockToken){
		this.downloadfile = downloadfile;
		this.lockToken = lockToken;
		this.webDavChooser.setVisible(false);
	}
	public String getDownload(){
		return downloadfile;
	}
	
	public String getLockToken() {
		return lockToken;
	}
	public void setLockToken(String lockToken) {
		this.lockToken = lockToken;
	}

	public String getDownloadpath() {
		return downloadpath;
	}

	public void setDownloadpath(String downloadpath) {
		this.downloadpath = downloadpath;
	}

	public String getDownloaname() {
		return downloaname;
	}

	public void setDownloaname(String downloaname) {
		this.downloaname = downloaname;
	}
	public Stack<String> getStack() {
		return stack;
	}
	public void setStack(Stack<String> stack) {
		this.stack = stack;
	}

	public boolean isUnlock() {
		return unlock;
	}

	public void setUnlock(boolean unlock) {
		this.unlock = unlock;
	}

	public boolean isReadonly() {
		return readonly;
	}

	public void setReadonly(boolean readonly) {
		this.readonly = readonly;
	}
	
}
